tool_wheel_zoom {rbokeh} | R Documentation

## Add "wheel_zoom" tool to a Bokeh figure

### Description

Add "wheel_zoom" tool to a Bokeh figure

### Usage

    tool_wheel_zoom(fig, dimensions = c("width", "height"))

### Arguments

`fig` | figure to modify
`dimensions` | a vector specifying whether the wheel_zoom tool should zoom with respect to the x axis ("width") and the y axis ("height") or both (c("width", "height"))

### Note

Tools can be easily specified as a vector of tool names in the `tools` argument when instantiating a `figure`. In this case, they are added with defaults. Explicitly calling these `tool_` functions will manually add the tool to a figure and allow additional specification of parameters.

### See Also

Other tools: `tool_box_select`, `tool_box_zoom`, `tool_crosshair`, `tool_hover`, `tool_lasso_select`, `tool_pan`, `tool_reset`, `tool_resize`, `tool_save`, `tool_tap`

### Examples

    # only zoom on x axis
    figure() %>% ly_points(1:10) %>%
     tool_wheel_zoom(dimensions = "height")

[Package rbokeh version 0.5.0 Index]